import request from '@/utils/request'

// 呼叫器激活
export function beeperActive(data) {
  return request({
    url: '/beeper/info/active',
    method: 'post',
    params: data
  })
}

// 查询呼叫器信息列表
export function listInfo(query) {
  return request({
    url: '/beeper/info/list',
    method: 'get',
    params: query
  })
}

// 查询呼叫器信息详细
export function getInfo(beeperId) {
  return request({
    url: '/beeper/info/' + beeperId,
    method: 'get'
  })
}

// 新增呼叫器信息
export function addInfo(data) {
  return request({
    url: '/beeper/info',
    method: 'post',
    data: data
  })
}

// 修改呼叫器信息
export function updateInfo(data) {
  return request({
    url: '/beeper/info',
    method: 'put',
    data: data
  })
}

// 删除呼叫器信息
export function delInfo(beeperId) {
  return request({
    url: '/beeper/info/' + beeperId,
    method: 'delete'
  })
}
